Skip to main content
Version: 1.0
Endpoints Summary
GET Latest epoch
GET All epochs
GET One epoch by number
GET All epochs OData
GET One epoch by number OData

GET Latest epoch​

Returns info about the latest epoch.

GET /api/core/epochs/latest

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const latest = await CBI.core.epochs.latest_();
console.log(latest);

💌 Response Codes​

OK: Successful request.

{
"id": 497,
"out_sum": 60717832669187390,
"fees": 50087393902,
"tx_count": 148344,
"blk_count": 11423,
"no": 496,
"start_time": "2024-07-08T21:45:12",
"end_time": "2024-07-11T15:02:37"
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The epoch unique identifier.
out_sumnumber(double)The sum of the transaction output values (in Lovelace) in this epoch.
feesnumber(double)The sum of the fees (in Lovelace) in this epoch.
tx_countinteger(int32)The number of transactions in this epoch.
blk_countinteger(int32)The number of blocks in this epoch.
nointeger(int32)The epoch number.
start_timestring(date-time)The epoch start time.
end_timestring(date-time)The epoch end time.

GET All epochs​

Returns all epoch entities.

GET /api/core/epochs

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const epochs = await CBI.core.epochs_();
console.log(epochs);

💌 Response Codes​

OK: Successful request.

[
{
"id": 1,
"out_sum": 10378568796482912,
"fees": 3458053,
"tx_count": 33,
"blk_count": 21587,
"no": 0,
"start_time": "2017-09-23T21:44:51",
"end_time": "2017-09-28T21:44:31"
},
"...",
{
"id": 20,
"out_sum": 33234287940816696,
"fees": 3786897619,
"tx_count": 22136,
"blk_count": 21597,
"no": 19,
"start_time": "2017-12-27T21:44:51",
"end_time": "2018-01-01T21:44:31"
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The epoch unique identifier.
out_sumnumber(double)The sum of the transaction output values (in Lovelace) in this epoch.
feesnumber(double)The sum of the fees (in Lovelace) in this epoch.
tx_countinteger(int32)The number of transactions in this epoch.
blk_countinteger(int32)The number of blocks in this epoch.
nointeger(int32)The epoch number.
start_timestring(date-time)The epoch start time.
end_timestring(date-time)The epoch end time.

GET One epoch by number​

Returns one specific epoch given its number.

GET /api/core/epochs/{epoch_no}

🎰 Parameters​

NameDescriptionInTypeRequired
epoch_noEpoch numberpathintegertrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const epochs = await CBI.core.epochs_({ epoch_no: 394 });
console.log(epochs);

💌 Response Codes​

OK: Successful request.

[
{
"id": 1,
"out_sum": 10378568796482912,
"fees": 3458053,
"tx_count": 33,
"blk_count": 21587,
"no": 0,
"start_time": "2017-09-23T21:44:51",
"end_time": "2017-09-28T21:44:31"
},
"...",
{
"id": 20,
"out_sum": 33234287940816696,
"fees": 3786897619,
"tx_count": 22136,
"blk_count": 21597,
"no": 19,
"start_time": "2017-12-27T21:44:51",
"end_time": "2018-01-01T21:44:31"
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The epoch unique identifier.
out_sumnumber(double)The sum of the transaction output values (in Lovelace) in this epoch.
feesnumber(double)The sum of the fees (in Lovelace) in this epoch.
tx_countinteger(int32)The number of transactions in this epoch.
blk_countinteger(int32)The number of blocks in this epoch.
nointeger(int32)The epoch number.
start_timestring(date-time)The epoch start time.
end_timestring(date-time)The epoch end time.

GET All epochs OData​

Returns all epoch entities.

GET /api/core/odata/epochs

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const epochs = await CBI.core.epochs_({ "odata": true });
console.log(epochs);

💌 Response Codes​

OK: Successful request.

{
"@odata.context": "https://cardanobi.io/api/core/odata/$metadata#Epochs",
"value": [
{
"id": 1,
"out_sum": 10378568796482912,
"fees": 3458053,
"tx_count": 33,
"blk_count": 21587,
"no": 0,
"start_time": "2017-09-23T21:44:51Z",
"end_time": "2017-09-28T21:44:31Z"
},
"...",
{
"id": 20,
"out_sum": 33234287940816696,
"fees": 3786897619,
"tx_count": 22136,
"blk_count": 21597,
"no": 19,
"start_time": "2017-12-27T21:44:51Z",
"end_time": "2018-01-01T21:44:31Z"
}
],
"@odata.nextLink": "https://cardanobi.io/api/core/odata/epochs?$skip=20"
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The epoch unique identifier.
out_sumnumber(double)The sum of the transaction output values (in Lovelace) in this epoch.
feesnumber(double)The sum of the fees (in Lovelace) in this epoch.
tx_countinteger(int32)The number of transactions in this epoch.
blk_countinteger(int32)The number of blocks in this epoch.
nointeger(int32)The epoch number.
start_timestring(date-time)The epoch start time.
end_timestring(date-time)The epoch end time.

GET One epoch by number OData​

Returns one specific epoch given its number.

GET /api/core/odata/epochs/{epoch_no}

🎰 Parameters​

NameDescriptionInTypeRequired
epoch_noEpoch numberpathintegertrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const epochs = await CBI.core.epochs_({ "odata": true, epoch_no: 394 });
console.log(epochs);

💌 Response Codes​

OK: Successful request.

{
"@odata.context": "https://cardanobi.io/api/core/odata/$metadata#Epochs",
"value": [
{
"id": 1,
"out_sum": 10378568796482912,
"fees": 3458053,
"tx_count": 33,
"blk_count": 21587,
"no": 0,
"start_time": "2017-09-23T21:44:51Z",
"end_time": "2017-09-28T21:44:31Z"
},
"...",
{
"id": 20,
"out_sum": 33234287940816696,
"fees": 3786897619,
"tx_count": 22136,
"blk_count": 21597,
"no": 19,
"start_time": "2017-12-27T21:44:51Z",
"end_time": "2018-01-01T21:44:31Z"
}
],
"@odata.nextLink": "https://cardanobi.io/api/core/odata/epochs?$skip=20"
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The epoch unique identifier.
out_sumnumber(double)The sum of the transaction output values (in Lovelace) in this epoch.
feesnumber(double)The sum of the fees (in Lovelace) in this epoch.
tx_countinteger(int32)The number of transactions in this epoch.
blk_countinteger(int32)The number of blocks in this epoch.
nointeger(int32)The epoch number.
start_timestring(date-time)The epoch start time.
end_timestring(date-time)The epoch end time.